"use strict";

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _chai = _interopRequireWildcard(require("chai"));

var _chaiEnzyme = _interopRequireDefault(require("chai-enzyme"));

var _enzyme = require("enzyme");

var _enzymeHelpers = require("../../../tests/enzyme-helpers");

var _iconSettings = _interopRequireDefault(require("../../icon-settings"));

var _icon = _interopRequireDefault(require("../../icon"));

var _visualPicker = _interopRequireDefault(require("../../visual-picker"));

var _radio = _interopRequireDefault(require("../../radio"));

var _checkbox = _interopRequireDefault(require("../../checkbox"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

_chai.default.use((0, _chaiEnzyme.default)());
/* Re-usable demo component.
 */


var VisualPickerExample =
/*#__PURE__*/
function (_React$Component) {
  _inherits(VisualPickerExample, _React$Component);

  function VisualPickerExample(props) {
    var _this;

    _classCallCheck(this, VisualPickerExample);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(VisualPickerExample).call(this, props));
    _this.state = {
      checked: _this.props.checked
    };
    return _this;
  }

  _createClass(VisualPickerExample, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react.default.createElement(_iconSettings.default, {
        iconPath: "/assets/icons"
      }, _react.default.createElement(_visualPicker.default, {
        label: this.props.label,
        id: this.props.id,
        size: "medium",
        coverable: true
      }, this.props.type === 'radio' ? _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_radio.default, {
        labels: {
          label: 'Connected App'
        },
        id: "".concat(this.props.id, "-1"),
        value: "1",
        checked: this.state.checked === '1',
        onChange: function onChange() {
          return _this2.setState({
            checked: '1'
          });
        },
        onRenderVisualPickerSelected: function onRenderVisualPickerSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: {
              label: 'selected-icon'
            },
            category: "utility",
            name: "check",
            colorVariant: "base",
            size: "large"
          });
        },
        onRenderVisualPickerNotSelected: function onRenderVisualPickerNotSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: {
              label: 'connected_apps-icon'
            },
            category: "utility",
            name: "connected_apps",
            size: "large"
          });
        }
      }), _react.default.createElement(_radio.default, {
        labels: {
          label: 'Custom App'
        },
        id: "".concat(this.props.id, "-2"),
        value: "2",
        checked: this.state.checked === '2',
        onChange: function onChange() {
          return _this2.setState({
            checked: '2'
          });
        },
        onRenderVisualPickerSelected: function onRenderVisualPickerSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: {
              label: 'selected-icon'
            },
            category: "utility",
            name: "check",
            colorVariant: "base",
            size: "large"
          });
        },
        onRenderVisualPickerNotSelected: function onRenderVisualPickerNotSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: {
              label: 'custom_apps-icon'
            },
            category: "utility",
            name: "custom_apps",
            size: "large"
          });
        }
      })) : _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_checkbox.default, {
        labels: {
          label: 'Account'
        },
        value: "1",
        checked: this.state.checked.includes('1'),
        onChange: function onChange() {
          if (_this2.state.checked.includes('1')) _this2.setState({
            checked: _this2.state.checked.filter(function (item) {
              return item !== '1';
            })
          });else _this2.setState({
            checked: [].concat(_toConsumableArray(_this2.state.checked), ['1'])
          });
        },
        id: "visual-picker-coverable-checkbox-1",
        onRenderVisualPickerSelected: function onRenderVisualPickerSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: _this2.props.assistiveText,
            category: "utility",
            name: "check",
            colorVariant: "base",
            size: "large"
          });
        },
        onRenderVisualPickerNotSelected: function onRenderVisualPickerNotSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: _this2.props.assistiveText,
            category: "standard",
            name: "account",
            size: "large"
          });
        }
      }), _react.default.createElement(_checkbox.default, {
        labels: {
          label: 'Lead'
        },
        value: "2",
        checked: this.state.checked.includes('2'),
        onChange: function onChange() {
          if (_this2.state.checked.includes('2')) _this2.setState({
            checked: _this2.state.checked.filter(function (item) {
              return item !== '2';
            })
          });else _this2.setState({
            checked: [].concat(_toConsumableArray(_this2.state.checked), ['2'])
          });
        },
        id: "visual-picker-coverable-checkbox-2",
        onRenderVisualPickerSelected: function onRenderVisualPickerSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: _this2.props.assistiveText,
            category: "utility",
            name: "check",
            colorVariant: "base",
            size: "large"
          });
        },
        onRenderVisualPickerNotSelected: function onRenderVisualPickerNotSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: _this2.props.assistiveText,
            category: "standard",
            name: "lead",
            size: "large"
          });
        }
      }), _react.default.createElement(_checkbox.default, {
        labels: {
          label: 'Orders'
        },
        value: "3",
        checked: this.state.checked.includes('3'),
        onChange: function onChange() {
          if (_this2.state.checked.includes('3')) _this2.setState({
            checked: _this2.state.checked.filter(function (item) {
              return item !== '3';
            })
          });else {
            _this2.setState({
              checked: [].concat(_toConsumableArray(_this2.state.checked), ['3'])
            });
          }
        },
        id: "visual-picker-coverable-checkbox-3",
        onRenderVisualPickerSelected: function onRenderVisualPickerSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: _this2.props.assistiveText,
            category: "utility",
            name: "check",
            colorVariant: "base",
            size: "large"
          });
        },
        onRenderVisualPickerNotSelected: function onRenderVisualPickerNotSelected() {
          return _react.default.createElement(_icon.default, {
            assistiveText: _this2.props.assistiveText,
            category: "standard",
            name: "orders",
            size: "large"
          });
        }
      }))));
    }
  }]);

  return VisualPickerExample;
}(_react.default.Component);

VisualPickerExample.propTypes = {
  label: _propTypes.default.string,
  id: _propTypes.default.string,
  checked: _propTypes.default.any,
  type: _propTypes.default.oneOf(['radio', 'checkbox'])
};
VisualPickerExample.defaultProps = {
  type: 'radio',
  checked: null
};
/* VisualPicker rendering tests
 */

describe('SLDS Visual Picker', function () {
  var _this3 = this;

  var mountNode;
  var wrapper;
  beforeEach(function () {
    mountNode = (0, _enzymeHelpers.createMountNode)({
      context: _this3
    });
  });
  afterEach(function () {
    (0, _enzymeHelpers.destroyMountNode)({
      wrapper: wrapper,
      mountNode: mountNode
    });
  });
  it('radio switching works correctly', function () {
    wrapper = (0, _enzyme.mount)(_react.default.createElement(VisualPickerExample, {
      label: "Select any one",
      type: "radio",
      checked: "1"
    }), {
      attachTo: mountNode
    }); // Get the radio options

    var radio1 = wrapper.find({
      value: '1'
    }).find('input');
    var radio2 = wrapper.find({
      value: '2'
    }).find('input'); // Check if the first option alone is selected initially

    (0, _chai.expect)(radio1).to.have.prop('checked', true);
    (0, _chai.expect)(radio2).to.have.prop('checked', false); // Click on radio 2, and switch the option

    radio2.simulate('change'); // Get both the radios again after the update

    radio1 = wrapper.find({
      value: '1'
    }).find('input');
    radio2 = wrapper.find({
      value: '2'
    }).find('input'); // Check if only the second option is selected

    (0, _chai.expect)(radio1).to.have.prop('checked', false);
    (0, _chai.expect)(radio2).to.have.prop('checked', true);
  });
  it('checkbox selection works correctly', function () {
    wrapper = (0, _enzyme.mount)(_react.default.createElement(VisualPickerExample, {
      label: "Select any one",
      type: "checkbox",
      checked: ['1']
    }), {
      attachTo: mountNode
    }); // Get the checkbox options

    var cb1 = wrapper.find({
      value: '1'
    }).find('input');
    var cb2 = wrapper.find({
      value: '2'
    }).find('input');
    var cb3 = wrapper.find({
      value: '3'
    }).find('input'); // Check if the first option alone is selected initially

    (0, _chai.expect)(cb1).to.have.prop('checked', true);
    (0, _chai.expect)(cb2).to.have.prop('checked', false);
    (0, _chai.expect)(cb3).to.have.prop('checked', false); // Click on each of the checkbox options

    cb1.simulate('change');
    cb2.simulate('change');
    cb3.simulate('change'); // Get the checkbox options again after the update

    cb1 = wrapper.find({
      value: '1'
    }).find('input');
    cb2 = wrapper.find({
      value: '2'
    }).find('input');
    cb3 = wrapper.find({
      value: '3'
    }).find('input'); // Check if all options except first option is selected

    (0, _chai.expect)(cb1).to.have.prop('checked', false);
    (0, _chai.expect)(cb2).to.have.prop('checked', true);
    (0, _chai.expect)(cb3).to.have.prop('checked', true);
  });
});